%define upstream_name    Regexp-Pattern
%define upstream_version 0.2.14

Name:           perl-Regexp-Pattern
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 2
Summary:        Collection of regexp patterns
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
Group:          Development/Perl
URL:            https://metacpan.org/release/Regexp-Pattern
Source0:        https://cpan.metacpan.org/authors/id/P/PE/PERLANCAR/%{upstream_name}-%{upstream_version}.tar.gz
BuildArch:      noarch

BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl(blib)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(IPC::Open3)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(warnings)


%description
Regexp::Pattern is a convention for organizing reusable regexp patterns in modules.


%prep
%autosetup -n %{upstream_name}-%{upstream_version}


%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build


%install
%make_install
%{_fixperms} %{buildroot}/*


%check
make test


%files
%doc Changes README
%license LICENSE
%{perl_vendorlib}/*
%{_mandir}/man3/Regexp::Pattern*.*


%changelog
* Thu Oct 03 2024 daviddavid <daviddavid> 0.2.14-2.mga10
+ Revision: 2102876
- use our %%perl_convert_version macro

* Thu Oct 03 2024 daviddavid <daviddavid> 0.2.14-1.mga10
+ Revision: 2102835
- imported package perl-Regexp-Pattern

